Index: /trunk/admin/themes/default/template/profile_content.tpl
===================================================================
--- /trunk/admin/themes/default/template/profile_content.tpl	(revision 10197)
+++ /trunk/admin/themes/default/template/profile_content.tpl	(revision 10198)
@@ -46,13 +46,7 @@
       <li>
         <span class="property">
-          <label for="nb_image_line">{'Number of photos per row'|@translate}</label>
+          <label for="nb_image_page">{'Number of photos per page'|@translate}</label>
         </span>
-        <input type="text" size="3" maxlength="2" name="nb_image_line" id="nb_image_line" value="{$NB_IMAGE_LINE}">
-      </li>
-      <li>
-        <span class="property">
-          <label for="nb_line_page">{'Number of rows per page'|@translate}</label>
-        </span>
-        <input type="text" size="3" maxlength="2" name="nb_line_page" id="nb_line_page" value="{$NB_ROW_PAGE}" >
+        <input type="text" size="3" maxlength="2" name="nb_image_page" id="nb_image_page" value="{$NB_IMAGE_PAGE}">
       </li>
 {if not $SPECIAL_USER}
Index: /trunk/admin/themes/default/template/user_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/user_list.tpl	(revision 10197)
+++ /trunk/admin/themes/default/template/user_list.tpl	(revision 10198)
@@ -184,21 +184,11 @@
 <table>
   <tr>
-    <td>{'Number of photos per row'|@translate}</td>
-    <td>
-      <label><input type="radio" name="nb_image_line_action" value="leave" checked="checked"> {'leave'|@translate}</label>
-      <label><input type="radio" name="nb_image_line_action" value="set" id="nb_image_line_action_set"> {'set to'|@translate}</label>
-      <input onmousedown="document.getElementById('nb_image_line_action_set').checked = true;"
-             size="3" maxlength="2" type="text" name="nb_image_line" value="{$NB_IMAGE_LINE}">
-    </td>
-  </tr>
-
-  <tr>
-    <td>{'Number of rows per page'|@translate}</td>
-    <td>
-      <label><input type="radio" name="nb_line_page_action" value="leave" checked="checked"> {'leave'|@translate}</label>
-      <label><input type="radio" name="nb_line_page_action" value="set" id="nb_line_page_action_set"> {'set to'|@translate}</label>
-      <input onmousedown="document.getElementById('nb_line_page_action_set').checked = true;"
-             size="3" maxlength="2" type="text" name="nb_line_page" value="{$NB_LINE_PAGE}">
-    <td>
+    <td>{'Number of photos per page'|@translate}</td>
+    <td>
+      <label><input type="radio" name="nb_image_page_action" value="leave" checked="checked"> {'leave'|@translate}</label>
+      <label><input type="radio" name="nb_image_page_action" value="set" id="nb_image_page_action_set"> {'set to'|@translate}</label>
+      <input onmousedown="document.getElementById('nb_image_page_action_set').checked = true;"
+             size="3" maxlength="2" type="text" name="nb_image_page" value="{$NB_IMAGE_PAGE}">
+    </td>
   </tr>
 
Index: /trunk/admin/user_list.php
===================================================================
--- /trunk/admin/user_list.php	(revision 10197)
+++ /trunk/admin/user_list.php	(revision 10198)
@@ -385,5 +385,5 @@
 
   $formfields =
-    array('nb_image_line', 'nb_line_page', 'theme', 'language',
+    array('nb_image_page', 'theme', 'language',
           'recent_period', 'maxwidth', 'expand', 'show_nb_comments',
           'show_nb_hits', 'maxheight', 'status', 'enabled_high',
@@ -560,6 +560,5 @@
   $template->assign(
     array(
-      'NB_IMAGE_LINE' => $_POST['nb_image_line'],
-      'NB_LINE_PAGE' => $_POST['nb_line_page'],
+      'NB_IMAGE_PAGE' => $_POST['nb_image_page'],
       'MAXWIDTH' => $_POST['maxwidth'],
       'MAXHEIGHT' => $_POST['maxheight'],
@@ -572,6 +571,5 @@
   $template->assign(
     array(
-      'NB_IMAGE_LINE' => $default_user['nb_image_line'],
-      'NB_LINE_PAGE' => $default_user['nb_line_page'],
+      'NB_IMAGE_PAGE' => $default_user['nb_image_page'],
       'MAXWIDTH' => $default_user['maxwidth'],
       'MAXHEIGHT' => $default_user['maxheight'],
Index: /trunk/include/functions_user.inc.php
===================================================================
--- /trunk/include/functions_user.inc.php	(revision 10197)
+++ /trunk/include/functions_user.inc.php	(revision 10198)
@@ -244,7 +244,4 @@
     $user['internal_status']['guest_must_be_guest'] = true;
   }
-
-  // calculation of the number of picture to display per page
-  $user['nb_image_page'] = $user['nb_image_line'] * $user['nb_line_page'];
 
   // Check user theme
Index: /trunk/install/db/101-database.php
===================================================================
--- /trunk/install/db/101-database.php	(revision 10198)
+++ /trunk/install/db/101-database.php	(revision 10198)
@@ -0,0 +1,65 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'merge nb_line_page and nb_image_line into nb_image_page';
+
+// add column
+if ('mysql' == $conf['dblayer'])
+{
+  pwg_query('
+    ALTER TABLE '.USER_INFOS_TABLE.' 
+      ADD COLUMN `nb_image_page` tinyint(3) unsigned NOT NULL default \'15\'
+  ;');
+}
+else if (in_array($conf['dblayer'], array('pgsql', 'sqlite', 'pdo-sqlite')))
+{
+  pwg_query('
+    ALTER TABLE '.IMAGES_TABLE.' 
+      ADD COLUMN "nb_image_page" INTEGER default 15 NOT NULL
+  ;');
+}
+
+// merge datas
+pwg_query('
+  UPDATE '.USER_INFOS_TABLE.' 
+  SET nb_image_page = nb_line_page*nb_image_line
+;');
+
+// delete old columns
+pwg_query('
+  ALTER TABLE '.USER_INFOS_TABLE.' 
+    DROP `nb_line_page`,
+    DROP `nb_image_line`
+;');
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>
Index: /trunk/install/piwigo_structure-mysql.sql
===================================================================
--- /trunk/install/piwigo_structure-mysql.sql	(revision 10197)
+++ /trunk/install/piwigo_structure-mysql.sql	(revision 10198)
@@ -405,6 +405,5 @@
 CREATE TABLE `piwigo_user_infos` (
   `user_id` smallint(5) NOT NULL default '0',
-  `nb_image_line` tinyint(1) unsigned NOT NULL default '5',
-  `nb_line_page` tinyint(3) unsigned NOT NULL default '3',
+  `nb_image_page` tinyint(3) unsigned NOT NULL default '15',
   `status` enum('webmaster','admin','normal','generic','guest') NOT NULL default 'guest',
   `language` varchar(50) NOT NULL default 'en_UK',
Index: /trunk/install/piwigo_structure-pdo-sqlite.sql
===================================================================
--- /trunk/install/piwigo_structure-pdo-sqlite.sql	(revision 10197)
+++ /trunk/install/piwigo_structure-pdo-sqlite.sql	(revision 10198)
@@ -468,6 +468,5 @@
 (
   "user_id" INTEGER default 0 NOT NULL,
-  "nb_image_line" INTEGER default 5 NOT NULL,
-  "nb_line_page" INTEGER default 3 NOT NULL,
+  "nb_image_page" INTEGER default 15 NOT NULL,
   "status" VARCHAR(50) default 'guest',
   "language" VARCHAR(50) default 'en_UK' NOT NULL,
Index: /trunk/install/piwigo_structure-pgsql.sql
===================================================================
--- /trunk/install/piwigo_structure-pgsql.sql	(revision 10197)
+++ /trunk/install/piwigo_structure-pgsql.sql	(revision 10198)
@@ -569,6 +569,5 @@
 (
   "user_id" INTEGER default 0 NOT NULL,
-  "nb_image_line" INTEGER default 5 NOT NULL,
-  "nb_line_page" INTEGER default 3 NOT NULL,
+  "nb_image_page" INTEGER default 15 NOT NULL,
   "status" USER_INFOS_STATUS default 'guest'::USER_INFOS_STATUS,
   "language" VARCHAR(50) default 'en_UK' NOT NULL,
Index: /trunk/install/piwigo_structure-sqlite.sql
===================================================================
--- /trunk/install/piwigo_structure-sqlite.sql	(revision 10197)
+++ /trunk/install/piwigo_structure-sqlite.sql	(revision 10198)
@@ -468,6 +468,5 @@
 (
   "user_id" INTEGER default 0 NOT NULL,
-  "nb_image_line" INTEGER default 5 NOT NULL,
-  "nb_line_page" INTEGER default 3 NOT NULL,
+  "nb_image_page" INTEGER default 15 NOT NULL,
   "status" VARCHAR(50) default 'guest',
   "language" VARCHAR(50) default 'en_UK' NOT NULL,
Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 10197)
+++ /trunk/language/ar_SA/common.lang.php	(revision 10198)
@@ -235,8 +235,8 @@
 $lang['Most visited'] = 'الصور الأكثر مشاهدة';
 $lang['display most visited photos'] = 'أعرض الصور الاكثر مشاهدة';
-$lang['The number of photos per row must be a not null scalar'] = 'عدد الصور لكل صف لا يجب ان يكون فارغ';
-$lang['Number of photos per row'] = 'عدد الصورلكل صف';
-$lang['The number of rows per page must be a not null scalar'] = 'عدد الصورلكل صف لا يجب ان يكون فارغ';
-$lang['Number of rows per page'] = 'عدد الصفوف في الصفحة';
+// $lang['The number of photos per row must be a not null scalar'] = 'عدد الصور لكل صف لا يجب ان يكون فارغ';
+// $lang['Number of photos per row'] = 'عدد الصورلكل صف';
+// $lang['The number of rows per page must be a not null scalar'] = 'عدد الصورلكل صف لا يجب ان يكون فارغ';
+// $lang['Number of rows per page'] = 'عدد الصفوف في الصفحة';
 $lang['Unknown identifier'] = 'معرف مجهول';
 $lang['New password'] = 'كلمة مرور جديدة';
Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 10197)
+++ /trunk/language/ca_ES/common.lang.php	(revision 10198)
@@ -228,8 +228,6 @@
 $lang['Most visited'] = 'Més visitades';
 $lang['display most visited photos'] = 'visualitza les imatges més visitades';
-$lang['The number of photos per row must be a not null scalar'] = 'El nombre d\'imatges per fila ha de ser un escalar no nul';
-$lang['Number of photos per row'] = 'Nombre d\'imatges per fila';
-$lang['The number of rows per page must be a not null scalar'] = 'El nombre de files per pàgina ha de ser un escalar no nul';
-$lang['Number of rows per page'] = 'Nombre de files per pàgina';
+$lang['The number of photos per page must be a not null scalar'] = 'El nombre d\'imatges per pàgina ha de ser un escalar no nul';
+$lang['Number of photos per page'] = 'Nombre d\'imatges per pàgina';
 $lang['Unknown identifier'] = 'identificador desconegut';
 $lang['New password'] = 'Nova contrasenya';
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 10197)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 10198)
@@ -236,8 +236,6 @@
 $lang['Most visited'] = 'Nejčastěji zobrazované';
 $lang['display most visited photos'] = 'Nejčastěji zobrazované fotografie';
-$lang['The number of photos per row must be a not null scalar'] = 'Počet fotografií v řádku musí být číslo větší než 0.';
-$lang['Number of photos per row'] = 'Počet fotografií v řádku';
-$lang['The number of rows per page must be a not null scalar'] = 'Počet řádků na stránce musí být číslo větší než 0.';
-$lang['Number of rows per page'] = 'Počet řádků na stránce';
+$lang['The number of photos per page must be a not null scalar'] = 'Počet fotografií v stránce musí být číslo větší než 0.';
+$lang['Number of photos per page'] = 'Počet fotografií v stránce';
 $lang['Unknown identifier'] = 'Neznámý identifikátor';
 $lang['New password'] = 'Nové heslo';
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 10197)
+++ /trunk/language/da_DK/common.lang.php	(revision 10198)
@@ -232,8 +232,6 @@
 $lang['Most visited'] = 'Mest sete';
 $lang['display most visited photos'] = 'vis mest sete fotos';
-$lang['The number of photos per row must be a not null scalar'] = 'Antallet af fotos pr. række må ikke være nul';
-$lang['Number of photos per row'] = 'antallet af fotos pr. række';
-$lang['The number of rows per page must be a not null scalar'] = 'Antallet af rækker pr. side må ikke være nul';
-$lang['Number of rows per page'] = 'Antallet af rækker pr. side';
+$lang['The number of photos per page must be a not null scalar'] = 'Antallet af fotos pr. side må ikke være nul';
+$lang['Number of photos per page'] = 'antallet af fotos pr. side';
 $lang['Unknown identifier'] = 'Ukendt identifier';
 $lang['New password'] = 'Nyt password';
Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 10197)
+++ /trunk/language/de_DE/common.lang.php	(revision 10198)
@@ -232,8 +232,6 @@
 $lang['Most visited'] = 'Am häufigsten gesehen';
 $lang['display most visited photos'] = 'zeige die meistbesuchten Fotos';
-$lang['The number of photos per row must be a not null scalar'] = 'Die Anzahl Fotos per Reihe darf nicht Null sein';
-$lang['Number of photos per row'] = 'Anzahl Fotos per Reihe';
-$lang['The number of rows per page must be a not null scalar'] = 'Die Anzahl der Zeilen pro Seite muss mindestens 1 sein';
-$lang['Number of rows per page'] = 'Anzahl der Zeilen pro Seite';
+$lang['The number of photos per page must be a not null scalar'] = 'Die Anzahl Fotos pro Seite darf nicht Null sein';
+$lang['Number of photos per page'] = 'Anzahl Fotos pro Seite';
 $lang['Unknown identifier'] = 'Identifikatoren unbekannt';
 $lang['New password'] = 'Neues Passwort';
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 10197)
+++ /trunk/language/en_UK/common.lang.php	(revision 10198)
@@ -230,8 +230,6 @@
 $lang['Most visited'] = "Most visited";
 $lang['display most visited photos'] = "display most visited photos";
-$lang['The number of photos per row must be a not null scalar'] = "The number of photos per row must be a nonzero integer";
-$lang['Number of photos per row'] = "Number of photos per row";
-$lang['The number of rows per page must be a not null scalar'] = "The number of rows per page must be a nonzero integer";
-$lang['Number of rows per page'] = "Number of rows per page";
+$lang['The number of photos per page must be a not null scalar'] = "The number of photos per page must be a nonzero integer";
+$lang['Number of photos per page'] = "Number of photos per page";
 $lang['Unknown identifier'] = "Unknown identifier";
 $lang['New password'] = "New password";
Index: /trunk/language/es_AR/common.lang.php
===================================================================
--- /trunk/language/es_AR/common.lang.php	(revision 10197)
+++ /trunk/language/es_AR/common.lang.php	(revision 10198)
@@ -231,8 +231,6 @@
 $lang['Most visited'] = 'Las más vistas';
 $lang['display most visited photos'] = 'mostrar las imágenes más vistas';
-$lang['The number of photos per row must be a not null scalar'] = 'La cantidad de imágenes por línea debe ser un número entero superior a cero';
-$lang['Number of photos per row'] = 'Cantidad de diapositivas por línea';
-$lang['The number of rows per page must be a not null scalar'] = 'La cantidad de líneas por página debe ser un número entero superior a cero';
-$lang['Number of rows per page'] = 'Cantidad de  líneas por página';
+$lang['The number of photos per page must be a not null scalar'] = 'La cantidad de imágenes por página debe ser un número entero superior a cero';
+$lang['Number of photos per page'] = 'Cantidad de diapositivas por página';
 $lang['Unknown identifier'] = 'Identificador desconocido';
 $lang['New password'] = 'Nueva contraseña';
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 10197)
+++ /trunk/language/es_ES/common.lang.php	(revision 10198)
@@ -231,8 +231,6 @@
 $lang['Most visited'] = 'Imágenes más vistas';
 $lang['display most visited photos'] = 'mostrar las fotos más vistas';
-$lang['The number of photos per row must be a not null scalar'] = 'La cantidad de fotos por línea debe ser un número entero superior a cero';
-$lang['Number of photos per row'] = 'Número de miniaturas por línea';
-$lang['The number of rows per page must be a not null scalar'] = 'El número de líneas por página debe ser un numero entero no nulo';
-$lang['Number of rows per page'] = 'Número de líneas por pagina';
+$lang['The number of photos per page must be a not null scalar'] = 'La cantidad de fotos por pagina debe ser un número entero superior a cero';
+$lang['Number of photos per page'] = 'Número de miniaturas por pagina';
 $lang['Unknown identifier'] = 'Identificador desconocido';
 $lang['New password'] = 'Nueva contraseña';
Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 10197)
+++ /trunk/language/fa_IR/common.lang.php	(revision 10198)
@@ -230,8 +230,8 @@
 $lang['Most visited'] = "بیشترین بازدید";
 $lang['display most visited photos'] = "نمایش عکس‌هایی که بیشترین بازدید را داشته‌اند.";
-$lang['The number of photos per row must be a not null scalar'] = "تعداد عکس‌هایی که در هر سطر نمایش داده می‌شود که باید یک عدد غیر صفر باشد.";
-$lang['Number of photos per row'] = "تعداد عکس‌هایی که در هر سطر نمایش داده می‌شود";
-$lang['The number of rows per page must be a not null scalar'] = "تعداد عکس‌هایی که در هر صفحه نمایش داده می‌شود که باید یک عدد غیر صفر باشد.";
-$lang['Number of rows per page'] = "تعداد عکس‌هایی که در هر صفحه نمایش داده می‌شود";
+// $lang['The number of photos per row must be a not null scalar'] = "تعداد عکس‌هایی که در هر سطر نمایش داده می‌شود که باید یک عدد غیر صفر باشد.";
+// $lang['Number of photos per row'] = "تعداد عکس‌هایی که در هر سطر نمایش داده می‌شود";
+// $lang['The number of rows per page must be a not null scalar'] = "تعداد عکس‌هایی که در هر صفحه نمایش داده می‌شود که باید یک عدد غیر صفر باشد.";
+// $lang['Number of rows per page'] = "تعداد عکس‌هایی که در هر صفحه نمایش داده می‌شود";
 $lang['Unknown identifier'] = "ناشناخته!";
 $lang['New password'] = "گذرواژه جدید";
Index: /trunk/language/fr_CA/common.lang.php
===================================================================
--- /trunk/language/fr_CA/common.lang.php	(revision 10197)
+++ /trunk/language/fr_CA/common.lang.php	(revision 10198)
@@ -230,8 +230,6 @@
 $lang['Most visited'] = 'Plus vues';
 $lang['display most visited photos'] = 'afficher les images les plus vues';
-$lang['The number of photos per row must be a not null scalar'] = 'Le nombre d\'images par ligne doit être un entier non nul';
-$lang['Number of photos per row'] = 'Nombre de miniatures par ligne';
-$lang['The number of rows per page must be a not null scalar'] = 'Le nombre de lignes par page doit être un entier non nul';
-$lang['Number of rows per page'] = 'Nombre de lignes par page';
+$lang['The number of photos per page must be a not null scalar'] = 'Le nombre d\'images par page doit être un entier non nul';
+$lang['Number of photos per page'] = 'Nombre de miniatures par page';
 $lang['Unknown identifier'] = 'Identifiants inconnus';
 $lang['New password'] = 'Nouveau mot de passe';
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 10197)
+++ /trunk/language/fr_FR/common.lang.php	(revision 10198)
@@ -230,8 +230,6 @@
 $lang['Most visited'] = 'Plus vues';
 $lang['display most visited photos'] = 'afficher les photos les plus vues';
-$lang['The number of photos per row must be a not null scalar'] = 'Le nombre de photos par ligne doit être un entier non nul';
-$lang['Number of photos per row'] = 'Nombre de miniatures par ligne';
-$lang['The number of rows per page must be a not null scalar'] = 'Le nombre de lignes par page doit être un entier non nul';
-$lang['Number of rows per page'] = 'Nombre de lignes par page';
+$lang['The number of photos per page must be a not null scalar'] = 'Le nombre de photos par page doit être un entier non nul';
+$lang['Number of photos per page'] = 'Nombre de miniatures par page';
 $lang['Unknown identifier'] = 'Identifiants inconnus';
 $lang['New password'] = 'Nouveau mot de passe';
Index: /trunk/language/he_IL/common.lang.php
===================================================================
--- /trunk/language/he_IL/common.lang.php	(revision 10197)
+++ /trunk/language/he_IL/common.lang.php	(revision 10198)
@@ -230,8 +230,8 @@
 $lang['Most visited'] = "הכי נצפה";
 $lang['display most visited photos'] = "הצג את התמונות הנצפות ביותר";
-$lang['The number of photos per row must be a not null scalar'] = 'מספר התמונות בכל שורה חייב להיות מספר שלם שונה מאפס';
-$lang['Number of photos per row'] = 'מספר התמונות בכל שורה';
-$lang['The number of rows per page must be a not null scalar'] = 'מספר שורות בכל דף חייב להיות מספר שלם שונה מאפס';
-$lang['Number of rows per page'] = "מספר שורות לעמוד";
+// $lang['The number of photos per row must be a not null scalar'] = 'מספר התמונות בכל שורה חייב להיות מספר שלם שונה מאפס';
+// $lang['Number of photos per row'] = 'מספר התמונות בכל שורה';
+// $lang['The number of rows per page must be a not null scalar'] = 'מספר שורות בכל דף חייב להיות מספר שלם שונה מאפס';
+// $lang['Number of rows per page'] = "מספר שורות לעמוד";
 $lang['Unknown identifier'] = 'מזהה לא ידוע';
 $lang['New password'] = "סיסמה חדשה";
Index: /trunk/language/hr_HR/common.lang.php
===================================================================
--- /trunk/language/hr_HR/common.lang.php	(revision 10197)
+++ /trunk/language/hr_HR/common.lang.php	(revision 10198)
@@ -231,8 +231,6 @@
 $lang['Most visited'] = 'Najposjećenije';
 $lang['display most visited photos'] = 'prikaz najposjećenijih slika';
-$lang['The number of photos per row must be a not null scalar'] = 'broj slika po redu mora biti cjelobrojna vrijednost';
-$lang['Number of photos per row'] = 'Broj slika po redu';
-$lang['The number of rows per page must be a not null scalar'] = 'Broj redova po stranici mora biti cjelobrojna vrijednost';
-$lang['Number of rows per page'] = 'Broj redova po stranici';
+$lang['The number of photos per page must be a not null scalar'] = 'broj slika po stranici mora biti cjelobrojna vrijednost';
+$lang['Number of photos per page'] = 'Broj slika po stranici';
 $lang['Unknown identifier'] = 'Nepoznata oznaka';
 $lang['New password'] = 'Nova zaporka';
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 10197)
+++ /trunk/language/hu_HU/common.lang.php	(revision 10198)
@@ -232,8 +232,8 @@
 $lang['Most visited'] = 'Legtöbbször nézett';
 $lang['display most visited photos'] = 'A leglátogatottabb képek megjelenítése';
-$lang['The number of photos per row must be a not null scalar'] = 'A soronkénti képek száma nem lehet 0!';
-$lang['Number of photos per row'] = 'Képek száma soronként';
-$lang['The number of rows per page must be a not null scalar'] = 'Az oldalankénti sorok száma nem lehet 0!';
-$lang['Number of rows per page'] = 'Sorok száma oldalanként';
+// $lang['The number of photos per row must be a not null scalar'] = 'A soronkénti képek száma nem lehet 0!';
+// $lang['Number of photos per row'] = 'Képek száma soronként';
+// $lang['The number of rows per page must be a not null scalar'] = 'Az oldalankénti sorok száma nem lehet 0!';
+// $lang['Number of rows per page'] = 'Sorok száma oldalanként';
 $lang['Unknown identifier'] = 'Ismeretlen azonosító';
 $lang['New password'] = 'Új jelszó';
Index: /trunk/language/is_IS/common.lang.php
===================================================================
--- /trunk/language/is_IS/common.lang.php	(revision 10197)
+++ /trunk/language/is_IS/common.lang.php	(revision 10198)
@@ -230,8 +230,8 @@
 $lang['Most visited'] = 'Oftast heimsótt';
 $lang['display most visited photos'] = 'sýna mest heimsóttar myndir';
-$lang['The number of photos per row must be a not null scalar'] = 'Fjöldi mynda í röð verða að vera nonzero heiltala';
-$lang['Number of photos per row'] = 'Fjöldi mynda í hverri röð';
-$lang['The number of rows per page must be a not null scalar'] = 'Fjöldi raða á síðu verða að vera nonzero heiltala';
-$lang['Number of rows per page'] = 'Fjöldi raða á síðu';
+// $lang['The number of photos per row must be a not null scalar'] = 'Fjöldi mynda í röð verða að vera nonzero heiltala';
+// $lang['Number of photos per row'] = 'Fjöldi mynda í hverri röð';
+// $lang['The number of rows per page must be a not null scalar'] = 'Fjöldi raða á síðu verða að vera nonzero heiltala';
+// $lang['Number of rows per page'] = 'Fjöldi raða á síðu';
 $lang['Unknown identifier'] = 'Óþekkt auðkenni';
 $lang['New password'] = 'Nýtt lykilorð';
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 10197)
+++ /trunk/language/it_IT/common.lang.php	(revision 10198)
@@ -230,8 +230,6 @@
 $lang['Most visited'] = 'Le più viste';
 $lang['display most visited photos'] = 'Mostra le foto le più viste';
-$lang['The number of photos per row must be a not null scalar'] = 'Il numero di foto per riga deve essere un intero non nullo';
-$lang['Number of photos per row'] = 'Numero di miniature per riga';
-$lang['The number of rows per page must be a not null scalar'] = 'Il numero di righe per pagina deve essere un intero non nullo';
-$lang['Number of rows per page'] = 'Numero di righe per pagina';
+$lang['The number of photos per page must be a not null scalar'] = 'Il numero di foto per pagina deve essere un intero non nullo';
+$lang['Number of photos per page'] = 'Numero di miniature per pagina';
 $lang['Unknown identifier'] = 'Identificante sconosciuto';
 $lang['New password'] = 'Nuova password';
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 10197)
+++ /trunk/language/ja_JP/common.lang.php	(revision 10198)
@@ -231,8 +231,8 @@
 $lang['Most visited'] = '最多アクセス';
 $lang['display most visited photos'] = '最もアクセスされた写真を表示します。';
-$lang['The number of photos per row must be a not null scalar'] = '1行あたりのイメージ数には、空白以外の値を設定してください。';
-$lang['Number of photos per row'] = '1行あたりのイメージ数';
-$lang['The number of rows per page must be a not null scalar'] = '1ページあたりの行数には、空白以外の値を設定してください。';
-$lang['Number of rows per page'] = '1ページあたりの行数';
+// $lang['The number of photos per row must be a not null scalar'] = '1行あたりのイメージ数には、空白以外の値を設定してください。';
+// $lang['Number of photos per row'] = '1行あたりのイメージ数';
+// $lang['The number of rows per page must be a not null scalar'] = '1ページあたりの行数には、空白以外の値を設定してください。';
+// $lang['Number of rows per page'] = '1ページあたりの行数';
 $lang['Unknown identifier'] = '不明なID';
 $lang['New password'] = '新しいパスワード';
Index: /trunk/language/ka_GE/common.lang.php
===================================================================
--- /trunk/language/ka_GE/common.lang.php	(revision 10197)
+++ /trunk/language/ka_GE/common.lang.php	(revision 10198)
@@ -232,8 +232,8 @@
 $lang['Most visited'] = 'პოპულარურობის მიხედვით';
 $lang['display most visited photos'] = 'ვნახოთ ყველაზე პოპულარული ფოტოები';
-$lang['The number of photos per row must be a not null scalar'] = 'ფოტოების რიცხვი არ უნდა იყოს ნულის ტოლი';
-$lang['Number of photos per row'] = 'ფოტოების რაოდენობა სტრიქონში';
-$lang['The number of rows per page must be a not null scalar'] = 'სტრიქონთა რაოდენობა არ უნდა იყოს ნულის ტოლი';
-$lang['Number of rows per page'] = 'სტრიქონთა რიცხვი გვერდზე';
+// $lang['The number of photos per row must be a not null scalar'] = 'ფოტოების რიცხვი არ უნდა იყოს ნულის ტოლი';
+// $lang['Number of photos per row'] = 'ფოტოების რაოდენობა სტრიქონში';
+// $lang['The number of rows per page must be a not null scalar'] = 'სტრიქონთა რაოდენობა არ უნდა იყოს ნულის ტოლი';
+// $lang['Number of rows per page'] = 'სტრიქონთა რიცხვი გვერდზე';
 $lang['Unknown identifier'] = 'უცნობი იდენტიფიკატორი';
 $lang['New password'] = 'ახალი პაროლი';
Index: /trunk/language/lv_LV/common.lang.php
===================================================================
--- /trunk/language/lv_LV/common.lang.php	(revision 10197)
+++ /trunk/language/lv_LV/common.lang.php	(revision 10198)
@@ -230,8 +230,6 @@
 $lang['Most visited'] = "Visapmeklētākie";
 $lang['display most visited photos'] = 'parādīt visapmeklētākos fotoattēlus';
-$lang['The number of photos per row must be a not null scalar'] = 'Foto skaits rindā nedrīkst būt nulle skalārs lielums';
-$lang['Number of photos per row'] = 'Foto skaits rindā';
-$lang['The number of rows per page must be a not null scalar'] = "Rindu skaitam lapā jābut lielākam par 0 un veselam skaitlim";
-$lang['Number of rows per page'] = "Rindu skaits lapā";
+$lang['The number of photos per page must be a not null scalar'] = 'Foto skaits lapā nedrīkst būt nulle skalārs lielums';
+$lang['Number of photos per page'] = 'Foto skaits lapā';
 $lang['Unknown identifier'] = "Nezināms identifikators";
 $lang['New password'] = "Jauna parole";
Index: /trunk/language/mk_MK/common.lang.php
===================================================================
--- /trunk/language/mk_MK/common.lang.php	(revision 10197)
+++ /trunk/language/mk_MK/common.lang.php	(revision 10198)
@@ -241,8 +241,8 @@
 $lang['Most visited'] = 'Најпосетени';
 $lang['display most visited photos'] = 'Ги покажува најпосетените фотографии';
-$lang['The number of photos per row must be a not null scalar'] = 'Бројот на фотографии во низа не може да биде непостоечки број.';
-$lang['Number of photos per row'] = 'Број на фотографии во низа';
-$lang['The number of rows per page must be a not null scalar'] = 'Бројот на низи по страна не може да биде непостоечки број.';
-$lang['Number of rows per page'] = 'Број на низи по страна';
+// $lang['The number of photos per row must be a not null scalar'] = 'Бројот на фотографии во низа не може да биде непостоечки број.';
+// $lang['Number of photos per row'] = 'Број на фотографии во низа';
+// $lang['The number of rows per page must be a not null scalar'] = 'Бројот на низи по страна не може да биде непостоечки број.';
+// $lang['Number of rows per page'] = 'Број на низи по страна';
 $lang['Unknown identifier'] = 'Unknown identifier';
 $lang['New password'] = 'Нова лозинка';
Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 10197)
+++ /trunk/language/nl_NL/common.lang.php	(revision 10198)
@@ -232,8 +232,6 @@
 $lang['Most visited'] = 'Meest bekeken';
 $lang['display most visited photos'] = 'Toon de meest bekeken afbeelding';
-$lang['The number of photos per row must be a not null scalar'] = 'Het aantal afbeeldingen per rij mag geen ongeldige deling zijn';
-$lang['Number of photos per row'] = 'Aantal afbeeldingen per rij';
-$lang['The number of rows per page must be a not null scalar'] = 'Het aantal rijen per pagina mag geen ongeldige deling zijn';
-$lang['Number of rows per page'] = 'Aantal rijen per pagina';
+$lang['The number of photos per page must be a not null scalar'] = 'Het aantal afbeeldingen per pagina mag geen ongeldige deling zijn';
+$lang['Number of photos per page'] = 'Aantal afbeeldingen per pagina';
 $lang['Unknown identifier'] = 'Onbekend herkenningsteken';
 $lang['New password'] = 'Nieuw wachtwoord';
Index: /trunk/language/no_NO/common.lang.php
===================================================================
--- /trunk/language/no_NO/common.lang.php	(revision 10197)
+++ /trunk/language/no_NO/common.lang.php	(revision 10198)
@@ -268,8 +268,6 @@
 $lang['Most visited'] = 'Mest besøkte';
 $lang['display most visited photos'] = 'vis mest besøkte bilder';
-$lang['The number of photos per row must be a not null scalar'] = 'Antall bilder per rad må være større en null';
-$lang['Number of photos per row'] = 'Antall bilder per rad';
-$lang['The number of rows per page must be a not null scalar'] = 'Antall rader per side må være større en null';
-$lang['Number of rows per page'] = 'Antall rader per side';
+$lang['The number of photos per page must be a not null scalar'] = 'Antall bilder per side må være større en null';
+$lang['Number of photos per page'] = 'Antall bilder per side';
 $lang['Unknown identifier'] = 'Ukjent identifier';
 $lang['New password'] = 'Nytt passord';
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 10197)
+++ /trunk/language/pl_PL/common.lang.php	(revision 10198)
@@ -232,8 +232,8 @@
 $lang['Most visited'] = 'Najczęściej odwiedzane';
 $lang['display most visited photos'] = 'pokaż najczęściej odwiedzane zdjęcia';
-$lang['The number of photos per row must be a not null scalar'] = 'Liczba zdjęć w wierszu musi być większa od zera';
-$lang['Number of photos per row'] = 'Liczba zdjęć w wierszu';
-$lang['The number of rows per page must be a not null scalar'] = 'Liczba wierszy na stronie musi być większa od zera';
-$lang['Number of rows per page'] = 'Liczba wierszy na stronie';
+// $lang['The number of photos per row must be a not null scalar'] = 'Liczba zdjęć w wierszu musi być większa od zera';
+// $lang['Number of photos per row'] = 'Liczba zdjęć w wierszu';
+// $lang['The number of rows per page must be a not null scalar'] = 'Liczba wierszy na stronie musi być większa od zera';
+// $lang['Number of rows per page'] = 'Liczba wierszy na stronie';
 $lang['Unknown identifier'] = 'Nieznany identyfikator';
 $lang['New password'] = 'Nowe hasło';
Index: /trunk/language/pt_BR/common.lang.php
===================================================================
--- /trunk/language/pt_BR/common.lang.php	(revision 10197)
+++ /trunk/language/pt_BR/common.lang.php	(revision 10198)
@@ -231,8 +231,6 @@
 $lang['Most visited'] = 'Mais visitadas';
 $lang['display most visited photos'] = 'Mostra as imagens mais visitadas';
-$lang['The number of photos per row must be a not null scalar'] = 'O número de imagens por linha deve ser inteiro e não nulo';
-$lang['Number of photos per row'] = 'Número de imagens por linha';
-$lang['The number of rows per page must be a not null scalar'] = 'O número de linhas por página deve ser inteiro e não nulo';
-$lang['Number of rows per page'] = 'Número de linhas por página';
+$lang['The number of photos per page must be a not null scalar'] = 'O número de imagens por página deve ser inteiro e não nulo';
+$lang['Number of photos per page'] = 'Número de imagens por página';
 $lang['Unknown identifier'] = 'Origem desconhecida';
 $lang['New password'] = 'Senha nova';
Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 10197)
+++ /trunk/language/pt_PT/common.lang.php	(revision 10198)
@@ -231,8 +231,6 @@
 $lang['Most visited'] = 'Mais vistas';
 $lang['display most visited photos'] = 'Mostra as fotos mais vistas';
-$lang['The number of photos per row must be a not null scalar'] = 'O número de fotos por linha deve ser inteiro e não nulo';
-$lang['Number of photos per row'] = 'Número de imagens por linha';
-$lang['The number of rows per page must be a not null scalar'] = 'O número de linhas por página deve ser inteiro e não nulo';
-$lang['Number of rows per page'] = 'Número de linhas por página';
+$lang['The number of photos per page must be a not null scalar'] = 'O número de fotos por página deve ser inteiro e não nulo';
+$lang['Number of photos per page'] = 'Número de imagens por página';
 $lang['Unknown identifier'] = 'Identificador desconhecido';
 $lang['New password'] = 'Nova palavra-passe';
Index: /trunk/language/ro_RO/common.lang.php
===================================================================
--- /trunk/language/ro_RO/common.lang.php	(revision 10197)
+++ /trunk/language/ro_RO/common.lang.php	(revision 10198)
@@ -222,8 +222,6 @@
 $lang['Most visited'] = 'Cele mai vizionate';
 $lang['display most visited photos'] = 'afişează imaginile cele mai vizionate';
-$lang['The number of photos per row must be a not null scalar'] = 'Numărul de imagini pe linie trebuie să fie un număr întreg nenul';
-$lang['Number of photos per row'] = 'Numărul de miniaturi pe linie';
-$lang['The number of rows per page must be a not null scalar'] = 'Numărul de linii pe pagină trebuie să fie un număr întreg nenul';
-$lang['Number of rows per page'] = 'Numărul de linii pe pagină';
+$lang['The number of photos per page must be a not null scalar'] = 'Numărul de imagini pe pagină trebuie să fie un număr întreg nenul';
+$lang['Number of photos per page'] = 'Numărul de miniaturi pe pagină';
 $lang['Unknown identifier'] = 'Identificator necunoscut ';
 $lang['New password'] = 'Parolă nouă';
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 10197)
+++ /trunk/language/ru_RU/common.lang.php	(revision 10198)
@@ -232,8 +232,8 @@
 $lang['Most visited'] = 'По популярности';
 $lang['display most visited photos'] = 'показать наиболее популярные фотографии';
-$lang['The number of photos per row must be a not null scalar'] = 'Число фотографий в ряду недолжно быть нулевым';
-$lang['Number of photos per row'] = 'Число фотографий в ряду';
-$lang['The number of rows per page must be a not null scalar'] = 'Число строк на странице должно быть не нулевым целым положительным';
-$lang['Number of rows per page'] = 'Число строк на странице';
+// $lang['The number of photos per row must be a not null scalar'] = 'Число фотографий в ряду недолжно быть нулевым';
+// $lang['Number of photos per row'] = 'Число фотографий в ряду';
+// $lang['The number of rows per page must be a not null scalar'] = 'Число строк на странице должно быть не нулевым целым положительным';
+// $lang['Number of rows per page'] = 'Число строк на странице';
 $lang['Unknown identifier'] = 'Неизвестный идентификатор';
 $lang['New password'] = 'Новый пароль';
Index: /trunk/language/sh_RS/common.lang.php
===================================================================
--- /trunk/language/sh_RS/common.lang.php	(revision 10197)
+++ /trunk/language/sh_RS/common.lang.php	(revision 10198)
@@ -231,8 +231,6 @@
 $lang['Most visited'] = 'Najposjećenije';
 $lang['display most visited photos'] = 'prikaz najposjećenijih slika';
-$lang['The number of photos per row must be a not null scalar'] = 'broj slika po redu mora biti celobrojna vrednost';
-$lang['Number of photos per row'] = 'Broj slika po redu';
-$lang['The number of rows per page must be a not null scalar'] = 'Broj redova po stranici mora biti celobrojna vrednost';
-$lang['Number of rows per page'] = 'Broj redova po stranici';
+$lang['The number of photos per page must be a not null scalar'] = 'broj slika po stranici mora biti celobrojna vrednost';
+$lang['Number of photos per page'] = 'Broj slika po stranici';
 $lang['Unknown identifier'] = 'Nepoznata oznaka';
 $lang['New password'] = 'Nova lozinka';
Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 10197)
+++ /trunk/language/sk_SK/common.lang.php	(revision 10198)
@@ -236,8 +236,8 @@
 $lang['Most visited'] = 'Najčastejšie zobrazované';
 $lang['display most visited photos'] = 'najčastejšie zobrazované fotografie';
-$lang['The number of photos per row must be a not null scalar'] = 'Počet fotografií v riadku musí byť číslo väčšie ako 0.';
-$lang['Number of photos per row'] = 'Počet fotografií v riadku';
-$lang['The number of rows per page must be a not null scalar'] = 'Počet riadkov na stránke musí byť číslo väčšie ako 0.';
-$lang['Number of rows per page'] = 'Počet riadkov na stránke';
+// $lang['The number of photos per row must be a not null scalar'] = 'Počet fotografií v riadku musí byť číslo väčšie ako 0.';
+// $lang['Number of photos per row'] = 'Počet fotografií v riadku';
+// $lang['The number of rows per page must be a not null scalar'] = 'Počet riadkov na stránke musí byť číslo väčšie ako 0.';
+// $lang['Number of rows per page'] = 'Počet riadkov na stránke';
 $lang['Unknown identifier'] = 'Neznámy identifikátor';
 $lang['New password'] = 'Nové heslo';
Index: /trunk/language/sl_SL/common.lang.php
===================================================================
--- /trunk/language/sl_SL/common.lang.php	(revision 10197)
+++ /trunk/language/sl_SL/common.lang.php	(revision 10198)
@@ -205,8 +205,8 @@
 $lang['Most visited'] = 'Najbolj obiskana';
 $lang['display most visited photos'] = 'prikaži najbolj obiskane slike';
-$lang['The number of photos per row must be a not null scalar'] = 'Število slik v vrstici, mora biti ne prazno celo število.';
-$lang['Number of photos per row'] = 'Število slik v vrstici';
-$lang['The number of rows per page must be a not null scalar'] = 'Število vrstic na strani, mora biti ne prazno celo število.';
-$lang['Number of rows per page'] = 'Število vrstic na stran';
+// $lang['The number of photos per row must be a not null scalar'] = 'Število slik v vrstici, mora biti ne prazno celo število.';
+// $lang['Number of photos per row'] = 'Število slik v vrstici';
+// $lang['The number of rows per page must be a not null scalar'] = 'Število vrstic na strani, mora biti ne prazno celo število.';
+// $lang['Number of rows per page'] = 'Število vrstic na stran';
 $lang['Unknown identifier'] = 'Neznan';
 $lang['New password'] = 'Novo geslo';
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 10197)
+++ /trunk/language/sr_RS/common.lang.php	(revision 10198)
@@ -231,8 +231,8 @@
 $lang['Most visited'] = 'Најпосјећеније';
 $lang['display most visited photos'] = 'приказ најпосјећенијих слика';
-$lang['The number of photos per row must be a not null scalar'] = 'број слика по реду мора бити целобројна вредност';
-$lang['Number of photos per row'] = 'Број слика по реду';
-$lang['The number of rows per page must be a not null scalar'] = 'Број редова по страници мора бити целобројна вредност';
-$lang['Number of rows per page'] = 'Број редова по страници';
+// $lang['The number of photos per row must be a not null scalar'] = 'број слика по реду мора бити целобројна вредност';
+// $lang['Number of photos per row'] = 'Број слика по реду';
+// $lang['The number of rows per page must be a not null scalar'] = 'Број редова по страници мора бити целобројна вредност';
+// $lang['Number of rows per page'] = 'Број редова по страници';
 $lang['Unknown identifier'] = 'Непозната ознака';
 $lang['New password'] = 'Нова лозинка';
Index: /trunk/language/sv_SE/common.lang.php
===================================================================
--- /trunk/language/sv_SE/common.lang.php	(revision 10197)
+++ /trunk/language/sv_SE/common.lang.php	(revision 10198)
@@ -266,8 +266,6 @@
 $lang['Most visited'] = 'Mest besökta';
 $lang['display most visited photos'] = 'Visa mest besökta bilder';
-$lang['The number of photos per row must be a not null scalar'] = 'Antalet bilder per rad måste vara ett heltal';
-$lang['Number of photos per row'] = 'Antal bilder per rad';
-$lang['The number of rows per page must be a not null scalar'] = 'Antalet rader per sida måste vara ett heltal';
-$lang['Number of rows per page'] = 'Antal rader per sida';
+$lang['The number of photos per page must be a not null scalar'] = 'Antalet bilder per sida måste vara ett heltal';
+$lang['Number of photos per page'] = 'Antal bilder per sida';
 $lang['Unknown identifier'] = 'Okänt användarnamn';
 $lang['New password'] = 'Nytt lösenord';
Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 10197)
+++ /trunk/language/tr_TR/common.lang.php	(revision 10198)
@@ -234,8 +234,8 @@
 $lang['Most visited'] = 'En çok görüntülenenler';
 $lang['display most visited photos'] = 'en çok görüntülenen resimlerı göster';
-$lang['The number of photos per row must be a not null scalar'] = 'Her sıra için gösterilen resim sayısı 0 dan farklı bir tam sayı olmalıdır';
-$lang['Number of photos per row'] = 'Her sıra için gösterilen resim sayısı';
-$lang['The number of rows per page must be a not null scalar'] = 'Her sayfa için gösterilen resim sayısı 0 dan farklı bir tamsayı olmalıdır';
-$lang['Number of rows per page'] = 'Her sayfada gösterilen sıra sayısı';
+// $lang['The number of photos per row must be a not null scalar'] = 'Her sıra için gösterilen resim sayısı 0 dan farklı bir tam sayı olmalıdır';
+// $lang['Number of photos per row'] = 'Her sıra için gösterilen resim sayısı';
+// $lang['The number of rows per page must be a not null scalar'] = 'Her sayfa için gösterilen resim sayısı 0 dan farklı bir tamsayı olmalıdır';
+// $lang['Number of rows per page'] = 'Her sayfada gösterilen sıra sayısı';
 $lang['Unknown identifier'] = 'bilinmeyen kimlik';
 $lang['New password'] = 'yeni şifre';
Index: /trunk/language/uk_UA/common.lang.php
===================================================================
--- /trunk/language/uk_UA/common.lang.php	(revision 10197)
+++ /trunk/language/uk_UA/common.lang.php	(revision 10198)
@@ -258,8 +258,8 @@
 $lang['Most visited'] = 'Найбільш відвідувані';
 $lang['display most visited photos'] = 'показувати найбільш відвідувані фотографії';
-$lang['The number of photos per row must be a not null scalar'] = 'Кількість фотографій у рядку повинно бути цілим ненульовим числом';
-$lang['Number of photos per row'] = 'Кількість фотографій в рядку';
-$lang['The number of rows per page must be a not null scalar'] = 'Кількість рядків на сторінці повинно бути цілим ненульовим числом';
-$lang['Number of rows per page'] = 'Кількість рядків на сторінці';
+// $lang['The number of photos per row must be a not null scalar'] = 'Кількість фотографій у рядку повинно бути цілим ненульовим числом';
+// $lang['Number of photos per row'] = 'Кількість фотографій в рядку';
+// $lang['The number of rows per page must be a not null scalar'] = 'Кількість рядків на сторінці повинно бути цілим ненульовим числом';
+// $lang['Number of rows per page'] = 'Кількість рядків на сторінці';
 $lang['Unknown identifier'] = 'Невідомий ідентифікатор';
 $lang['New password'] = 'Новий пароль';
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 10197)
+++ /trunk/language/vi_VN/common.lang.php	(revision 10198)
@@ -230,8 +230,8 @@
 $lang['Most visited'] = 'Hình được xem nhiều nhất';
 $lang['display most visited photos'] = 'hiển thị những hình được xem nhiều nhất';
-$lang['The number of photos per row must be a not null scalar'] = 'Số hình mỗi hàng phải là đại lượng vô hướng không rỗng';
-$lang['Number of photos per row'] = 'Số hình trên mỗi hàng';
-$lang['The number of rows per page must be a not null scalar'] = 'Số hàng mỗi trang phải là đại lượng vô hướng không rỗng';
-$lang['Number of rows per page'] = 'Số hàng trên mỗi trang';
+// $lang['The number of photos per row must be a not null scalar'] = 'Số hình mỗi hàng phải là đại lượng vô hướng không rỗng';
+// $lang['Number of photos per row'] = 'Số hình trên mỗi hàng';
+// $lang['The number of rows per page must be a not null scalar'] = 'Số hàng mỗi trang phải là đại lượng vô hướng không rỗng';
+// $lang['Number of rows per page'] = 'Số hàng trên mỗi trang';
 $lang['Unknown identifier'] = 'Định danh không xác định';
 $lang['New password'] = 'Mật khẩu mới';
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 10197)
+++ /trunk/language/zh_CN/common.lang.php	(revision 10198)
@@ -231,8 +231,8 @@
 $lang['Most visited'] = "最多观看";
 $lang['display most visited photos'] = "显示最多观看的图片";
-$lang['The number of photos per row must be a not null scalar'] = "每行图片的数量必须为非零整数";
-$lang['Number of photos per row'] = "每行图片的数量";
-$lang['The number of rows per page must be a not null scalar'] = "行数必须为非零整数";
-$lang['Number of rows per page'] = "每页行数";
+// $lang['The number of photos per row must be a not null scalar'] = "每行图片的数量必须为非零整数";
+// $lang['Number of photos per row'] = "每行图片的数量";
+// $lang['The number of rows per page must be a not null scalar'] = "行数必须为非零整数";
+// $lang['Number of rows per page'] = "每页行数";
 $lang['Unknown identifier'] = "未知标识符";
 $lang['New password'] = "新密码";
Index: /trunk/language/zh_TW/common.lang.php
===================================================================
--- /trunk/language/zh_TW/common.lang.php	(revision 10197)
+++ /trunk/language/zh_TW/common.lang.php	(revision 10198)
@@ -231,8 +231,8 @@
 $lang['Most visited'] = '最受喜歡';
 $lang['display most visited photos'] = '顯示查看次數最多的圖片';
-$lang['The number of photos per row must be a not null scalar'] = '每行圖片數必須是非零整數';
-$lang['Number of photos per row'] = '每行圖片數';
-$lang['The number of rows per page must be a not null scalar'] = '每頁總行數必須是非零整數';
-$lang['Number of rows per page'] = '每頁行數';
+// $lang['The number of photos per row must be a not null scalar'] = '每行圖片數必須是非零整數';
+// $lang['Number of photos per row'] = '每行圖片數';
+// $lang['The number of rows per page must be a not null scalar'] = '每頁總行數必須是非零整數';
+// $lang['Number of rows per page'] = '每頁行數';
 $lang['Unknown identifier'] = '帳戶不存在';
 $lang['New password'] = '新密碼';
Index: /trunk/profile.php
===================================================================
--- /trunk/profile.php	(revision 10197)
+++ /trunk/profile.php	(revision 10198)
@@ -50,5 +50,5 @@
   {
     $fields = array(
-      'nb_image_line', 'nb_line_page', 'maxwidth', 'maxheight', 'expand',
+      'nb_image_page', 'maxwidth', 'maxheight', 'expand',
       'show_nb_comments', 'show_nb_hits', 'recent_period', 'show_nb_hits'
       );
@@ -118,14 +118,8 @@
   {
     $int_pattern = '/^\d+$/';
-    if (empty($_POST['nb_image_line'])
-        or (!preg_match($int_pattern, $_POST['nb_image_line'])))
-    {
-      $errors[] = l10n('The number of photos per row must be a not null scalar');
-    }
-
-    if (empty($_POST['nb_line_page'])
-        or (!preg_match($int_pattern, $_POST['nb_line_page'])))
-    {
-      $errors[] = l10n('The number of rows per page must be a not null scalar');
+    if (empty($_POST['nb_image_page'])
+        or (!preg_match($int_pattern, $_POST['nb_image_page'])))
+    {
+      $errors[] = l10n('The number of photos per page must be a not null scalar');
     }
 
@@ -217,5 +211,5 @@
       // update user "additional" informations (specific to Piwigo)
       $fields = array(
-        'nb_image_line', 'nb_line_page', 'language', 'maxwidth', 'maxheight',
+        'nb_image_page', 'language', 'maxwidth', 'maxheight',
         'expand', 'show_nb_comments', 'show_nb_hits', 'recent_period', 'theme'
         );
@@ -262,6 +256,5 @@
       'EMAIL'=>get_email_address_as_display_text(@$userdata['email']),
       'ALLOW_USER_CUSTOMIZATION'=>$conf['allow_user_customization'],
-      'NB_IMAGE_LINE'=>$userdata['nb_image_line'],
-      'NB_ROW_PAGE'=>$userdata['nb_line_page'],
+      'NB_IMAGE_PAGE'=>$userdata['nb_image_page'],
       'RECENT_PERIOD'=>$userdata['recent_period'],
       'MAXWIDTH'=>@$userdata['maxwidth'],
Index: /trunk/themes/default/template/profile_content.tpl
===================================================================
--- /trunk/themes/default/template/profile_content.tpl	(revision 10197)
+++ /trunk/themes/default/template/profile_content.tpl	(revision 10198)
@@ -47,13 +47,7 @@
       <li>
         <span class="property">
-          <label for="nb_image_line">{'Number of photos per row'|@translate}</label>
+          <label for="nb_image_page">{'Number of photos per page'|@translate}</label>
         </span>
-        <input type="text" size="3" maxlength="2" name="nb_image_line" id="nb_image_line" value="{$NB_IMAGE_LINE}">
-      </li>
-      <li>
-        <span class="property">
-          <label for="nb_line_page">{'Number of rows per page'|@translate}</label>
-        </span>
-        <input type="text" size="3" maxlength="2" name="nb_line_page" id="nb_line_page" value="{$NB_ROW_PAGE}" >
+        <input type="text" size="3" maxlength="2" name="nb_image_page" id="nb_image_page" value="{$NB_IMAGE_PAGE}">
       </li>
       <li>
